Source: uimaj
Version: 2.10.0
Severity: normal
User: debian-j...@lists.debian.org
Usertags: default-java9

This package fails to build with default-jdk pointing to openjdk-9-jdk.
The wiki has some common problems and their solutions:
https://wiki.debian.org/Java/Java9Pitfalls

A number of packages seem to be failing to find classes during their
javadoc build, but they are mostly ant based and I was hoping it was
just bugs in the build file, not a scary change in the way the javadoc
tool works. I have no idea what's going on here.

If you work it out, please update the wiki!


Build log:

[ERROR] Failed to execute goal 
org.apache.maven.plugins:maven-javadoc-plugin:2.10.4:aggregate (default-cli) on 
project uimaj: An error has occurred in JavaDocs report generation: 
[ERROR] Exit code: 1 - 
/build/uimaj-2.10.0/uimaj-examples/src/main/java/org/apache/uima/examples/xmi/XmiEcoreCasConsumer.java:44:
 error: package org.eclipse.emf.common.util does not exist
[ERROR] import org.eclipse.emf.common.util.URI;
...


Example from an ant build (velocity-tools):

  [javadoc] Constructing Javadoc information...
  [javadoc] 
/build/velocity-tools-2.0/src/main/java/org/apache/velocity/tools/ClassUtils.java:39:
 error: package org.apache.velocity.util does not exist



Cheers,
Chris.

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to